org.apache.ivy.plugins.parser.m2

## Class DefaultPomDependencyMgt

- java.lang.Object
- - org.apache.ivy.plugins.parser.m2.DefaultPomDependencyMgt

All Implemented Interfaces:
  PomDependencyMgt

    public class DefaultPomDependencyMgt
    extends java.lang.Object
    implements PomDependencyMgt

### Constructor Summary

Constructors
Constructor and Description
`DefaultPomDependencyMgt(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String scope, java.util.List excludedModules)`

### Method Summary

Methods
`java.lang.String` `getArtifactId()`
`java.util.List` `getExcludedModules()`
`java.lang.String` `getGroupId()`
`java.lang.String` `getScope()`
`java.lang.String` `getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPomDependencyMgt

    public DefaultPomDependencyMgt(java.lang.String groupId,
                           java.lang.String artifactId,
                           java.lang.String version,
                           java.lang.String scope,
                           java.util.List excludedModules)

### Method Detail

#### getScope

    public java.lang.String getScope()

Specified by:
  `getScope` in interface `PomDependencyMgt`

#### getGroupId

    public java.lang.String getGroupId()

Specified by:
  `getGroupId` in interface `PomDependencyMgt`

#### getArtifactId

    public java.lang.String getArtifactId()

Specified by:
  `getArtifactId` in interface `PomDependencyMgt`

#### getVersion

    public java.lang.String getVersion()

Specified by:
  `getVersion` in interface `PomDependencyMgt`

#### getExcludedModules

    public java.util.List getExcludedModules()

Specified by:
  `getExcludedModules` in interface `PomDependencyMgt`